Cost: 20 credits per request
Endpoint
GET https://api.endole.co.uk/company/{company_number}/group-structure
Parameters
| Parameter | Required | Description |
|---|---|---|
| company_number | Yes | The 8-character official UK Companies House registration number. |
Example Request
curl -X GET "https://api.endole.co.uk/company/00519500/group-structure" \
-H "Authorization: Bearer 33e2ea54ca6d9ce3f70b24a4e13d9cf9a451c51f1f2140d21e8e2131cd37fcc"
Example Response
{
"status": "success",
"company_number": "00519500",
"data": {
"group_structure": {
"company_number": "",
"company_name": "Alphabet INC",
"country": "Usa",
"country_code": "US",
"subsidiaries": [
{
"company_number": "",
"company_name": "Google International LLC",
"country": "Usa",
"country_code": "US",
"subsidiaries": [
{
"company_number": "IE459359",
"company_name": "Google Voice Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE598776",
"company_name": "Google Payment Ireland Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "03977902",
"company_name": "Google UK Limited",
"country": "United Kingdom",
"country_code": "UK",
"subsidiaries": [
{
"company_number": "05624041",
"company_name": "Central Saint Giles General Partner Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "05903713",
"company_name": "Google Payment Limited",
"country": "United Kingdom",
"country_code": "UK"
},
{
"company_number": "11791281",
"company_name": "Google Health UK Limited",
"country": "United Kingdom",
"country_code": "UK"
},
{
"company_number": "15666588",
"company_name": "Quaerere (Corporate Member) Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "",
"company_name": "Alphabet Holdings LLC",
"country": "Usa",
"country_code": "US",
"subsidiaries": [
{
"company_number": "09183796",
"company_name": "GV UK Management Company, Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "",
"company_name": "Verily Life Sciences LLC",
"country": "Usa",
"country_code": "US",
"subsidiaries": [
{
"company_number": "IE585119",
"company_name": "Verily Ireland Limited",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "13211925",
"company_name": "Verily UK Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
}
]
},
{
"company_number": "",
"company_name": "Kha Technologies INC",
"country": "Usa",
"country_code": "US",
"subsidiaries": [
{
"company_number": "IE479109",
"company_name": "Google Europe International Technology U",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE657921",
"company_name": "Google Europe, Middle East And Africa UN",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "IE368047",
"company_name": "Google Ireland Limited",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "IE507471",
"company_name": "Ita Software Technologies Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE717747",
"company_name": "Bolands Mills Estate Management Company",
"country": "Ireland",
"country_code": "IE"
}
]
},
{
"company_number": "IE411520",
"company_name": "Aegino Unlimited Company",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE431739",
"company_name": "Raiden Unlimited Company",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "IE477123",
"company_name": "Tiscan Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "10031299",
"company_name": "Global Infrastructure UK Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "IE507502",
"company_name": "Chronicle Security Ireland Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE546599",
"company_name": "Fitbit International Unlimited Company",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "07716955",
"company_name": "Fitbit Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "IE611456",
"company_name": "Ceann Nua Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "IE660412",
"company_name": "Google Cloud Emea Limited",
"country": "Ireland",
"country_code": "IE",
"subsidiaries": [
{
"company_number": "15137245",
"company_name": "Google Cloud Public Sector - United Kingdom Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "IE710771",
"company_name": "Google Trust Services Europe Limited",
"country": "Ireland",
"country_code": "IE"
},
{
"company_number": "16520783",
"company_name": "Google Store UK Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
},
{
"company_number": "12181850",
"company_name": "Deepmind Holdings Limited",
"country": "United Kingdom",
"country_code": "UK",
"subsidiaries": [
{
"company_number": "07386350",
"company_name": "Deepmind Technologies Limited",
"country": "United Kingdom",
"country_code": "UK"
}
]
}
]
}
]
}
}
}